## Index

### Functions

- buildNativeCodeScript
- buildParams
- createCodeParamScript
- isTypedArray

## Functions

### buildNativeCodeScript

- buildNativeCodeScript(list: any[]): string

- - Defined in smartcontract/abi/nativeVmParamsBuilder.ts:72

  #### Parameters

  - ##### list: any[]

  #### Returns string

### buildParams

- buildParams(params: Parameter[]): string

- - Defined in smartcontract/abi/nativeVmParamsBuilder.ts:27

  #### Parameters

  - ##### params: Parameter[]

  #### Returns string

### createCodeParamScript

- createCodeParamScript(obj: any): string

- - Defined in smartcontract/abi/nativeVmParamsBuilder.ts:50

  #### Parameters

  - ##### obj: any

  #### Returns string

### isTypedArray

- isTypedArray(arr: any[], type: any): boolean

- - Defined in smartcontract/abi/nativeVmParamsBuilder.ts:115

  #### Parameters

  - ##### arr: any[]

  - ##### type: any

  #### Returns boolean

Generated using TypeDoc